=== debian/changelog ===
grr-client-templates (3.1.0.2-4) unstable; urgency=medium

  * Team Upload
  * Binary upload as this package does not get auto built on buildd infra for
    now

 -- Samuel Henrique <samueloph@debian.org>  Tue, 02 Feb 2021 23:49:30 +0000

grr-client-templates (3.1.0.2-3) unstable; urgency=medium

  * Team Upload

  [ Samuel Henrique ]
  * Bump DH to 13
  * Bump Standards-Version to 4.5.1
  * Add salsa-ci.yml
  * Configure git-buildpackage for Debian
  * d/control: Add 'Rules-Requires-Root: no'

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * Add debian/watch file, using github.

 -- Samuel Henrique <samueloph@debian.org>  Tue, 02 Feb 2021 01:00:04 +0000

grr-client-templates (3.1.0.2-2) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Hilko Bengen ]
  * No longer install Nanny binaries since they are built as part of the
    grr-server package
  * Avoid installation with grr-server versions that do not yet include
    the nanny binaries

 -- Hilko Bengen <bengen@debian.org>  Sun, 29 Apr 2018 00:02:10 +0200

grr-client-templates (3.1.0.2-1) unstable; urgency=medium

  [ Hilko Bengen ]
  * Initial release (Closes: #861188)

 -- Sascha Steinbiss <satta@debian.org>  Tue, 25 Apr 2017 17:15:15 +0200
