=== debian/control ===
Source: grr-client-templates
Section: non-free/utils
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Hilko Bengen <bengen@debian.org>,
           Sascha Steinbiss <satta@debian.org>,
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/google/grr
Vcs-Git: https://salsa.debian.org/pkg-security-team/grr-client-templates.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/grr-client-templates

Package: grr-client-templates
Architecture: all
Depends: ${misc:Depends}
Conflicts: grr-client-templates-installer
Breaks: grr-server (<< 3.1.0.2+dfsg-5~),
Description: incident response framework - pre-built client templates
 GRR Rapid Response is an incident response framework focused on
 remote live forensics. It consists of an agent (client) that is
 installed on target systems, and server infrastructure that can
 manage and talk to the agent.
 .
 This package contains pre-built components which are used to build
 Linux, Windows, and MacOSX client installers and which cannot
 currently built from source on a Debian system.
