=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v(\d\S+)\.tar\.gz/grr-$1\.tar\.gz/ https://github.com/google/grr/tags .*\/v(\d\S+)\.tar\.gz
